summaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
authorAlan Wu <XrXr@users.noreply.github.com>2021-10-18 10:53:29 -0400
committerAlan Wu <XrXr@users.noreply.github.com>2021-10-20 18:19:43 -0400
commit8a9a2d004951dc0c9e724fbb050d14b75d4fcd1d (patch)
tree531290ab2c68079961ac1d8e5b20bb78442892ee /misc
parent5906a5a7329e34a43dc46d4fc3cdf1b04cc13d0a (diff)
Move test_yjit_asm.sh into misc
Since conventionally scripts don't live at the top level of the repo.
Diffstat (limited to 'misc')
-rwxr-xr-xmisc/test_yjit_asm.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/misc/test_yjit_asm.sh b/misc/test_yjit_asm.sh
new file mode 100755
index 0000000000..546acf39c9
--- /dev/null
+++ b/misc/test_yjit_asm.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+set -x
+
+clang -std=gnu99 -Wall -Werror -Wno-error=unused-function -Wshorten-64-to-32 yjit_asm.c yjit_asm_tests.c -o asm_test
+
+./asm_test
+
+rm asm_test